
public class LinkedList
{
   private Node start;
   public LinkedList(){
   }
   public LinkedList(int[] arr){
       for (int i = 0; i < arr.length; i++){
           this.append(arr[i]);
        }
   }
   public LinkedList(int st){
       start = new Node(st);
   }
   
   public void append(int zahl){
        //anlegen eines neuen Nodes
        Node neu = new Node(zahl);       
        Node current = this.start;
        if (this.start == null){
            this.start = neu;
        }
        else{
            while (current.next != null){   //solange es einen Nachfolger gibt 
              current = current.next;
            }
            //current ist jetzt das letzte Element
           
            // hängt neuen Node an 
            current.next = neu;
        }   
   }
   
   public int length(){
       Node current = this.start;
       int count= 0;
       while(current.next != null){
           current = current.next;
           count++;
       }
       
       return count;
   }
   
   public int erste(){
       if (start == null) return 0;
       int i = this.start.wert;
       this.start = start.next;
       return i;
   }
   
   public int getNteZahl(int n){
       Node current = this.start;
       for ( int i = 0; i < n ; i++ ){
           if (current == null)return 0;
           current = current.next;
       }
       if (current == null ) return 0;
       return current.wert;
       
   }
   
   public String toString(){
       String result = "";
       
       for (int i = 0; i < this.length(); i++){
           result += this.getNteZahl(i) + ",";
       }
       return result;
   }
   
   /*public String toString(){
       String result = "";
       
       Node current = start;
       
       while(current != null){
           result += current.wert + ",";
           current = current.next;
       }
       return result;
   }*/
}
